Games compilation howto on the Pinebook-pro (Manjaro Linux and Debian native)
Are you sure you're on Debian bullseye? Libfaudio0 is available in bullseye and sid. For buster you need buster-backports:
https://packages.debian.org/search?keywo...lla-search

It's possible you need to install wget:
sudo apt install wget
  Reply
Hey guys I got zandronum going on Debian for PBP

Code:
Building Zandronum 3.1

Install packages necessary to perform build:

sudo apt-get install build-essential zlib1g-dev libsdl1.2-dev libjpeg-dev \
nasm tar libbz2-dev libgtk2.0-dev cmake mercurial libfluidsynth-dev libgl1-mesa-dev \
libssl-dev

sudo apt install libglew-dev

Install cMake GUI: sudo apt install cmake-curses-gui

Make working directory mkdir $HOME/zandronum && cd zandronum

Clone the repo:

git clone https://github.com/ptitSeb/zandronum

Create and cd to the build directory where files will be output:

mkdir build && cd build

run ccmake ..

press "c" to configure

set NO_ASM to ON

set NO_FMOD to ON

press "t" to enable advanced mode

go to CFLAGS and set -mcpu=native

press "c" again to configure again

press "g" to generate makefile and exit

type make -j4 to build

done!  just make sure you point it to your DOOM Wad files and it should be ok.

# DOOM2.wad and other game files should be in ~/.config/zandronum/
I'll probably make a normal post as well so others can see it!


  Reply
(05-08-2020, 02:13 AM)icecream95 Wrote:
(04-24-2020, 04:55 AM)Idaho Wrote:
(04-24-2020, 03:24 AM)astr0baby Wrote:
(04-24-2020, 01:48 AM)Idaho Wrote:
(04-23-2020, 04:33 PM)astr0baby Wrote: It works just fine, you need to install SDL_net or SDL2_net packages to get the libnet.so.7 library on manjaro

Weird, I have both of them installed and I still get the error Sad Did you manage to run the game?
Yes, but it runs in a small window really ... not very usable on the 1920x1080 display

erh, too bad, no way to force a higher res? it's a shame this is closed source (probably just to avoid cheating online) would love to build this for the pbpro...

Does changing ScreenWidth and ScreenHeight in profiles/rvgl.ini not work?

Bit of a late reply, but I managed to get RVGL working great on my pinebook pro:
* Running manjaro-arm with sway window manager
* follow the instructions here for downloading the game using the python script https://re-volt.gitlab.io/rvgl-docs/os-s...l#gnulinux
* This downloads the game content, but the binaries are the wrong CPU arch
* Download the *.deb packages provided by meveric for running on odroid
https://oph.mdrjr.net/meveric/pool/main/...-1_all.deb
https://oph.mdrjr.net/meveric/pool/main/..._arm64.deb
* install debtap from Arch User Repository
* run debtap to convert the .debs to arch packages
* run pamac install <package-name.tar.zst> to install the newly created arch packages.
* run rvgl_start to play!

It runs well.
  Reply
(12-10-2020, 05:16 PM)mfashby Wrote:
(05-08-2020, 02:13 AM)icecream95 Wrote:
(04-24-2020, 04:55 AM)Idaho Wrote:
(04-24-2020, 03:24 AM)astr0baby Wrote:
(04-24-2020, 01:48 AM)Idaho Wrote: Weird, I have both of them installed and I still get the error Sad Did you manage to run the game?
Yes, but it runs in a small window really ... not very usable on the 1920x1080 display

erh, too bad, no way to force a higher res? it's a shame this is closed source (probably just to avoid cheating online) would love to build this for the pbpro...

Does changing ScreenWidth and ScreenHeight in profiles/rvgl.ini not work?

Bit of a late reply, but I managed to get RVGL working great on my pinebook pro:
* Running manjaro-arm with sway window manager
* follow the instructions here for downloading the game using the python script https://re-volt.gitlab.io/rvgl-docs/os-s...l#gnulinux
* This downloads the game content, but the binaries are the  wrong CPU arch
* Download the *.deb packages provided by meveric for running on odroid
https://oph.mdrjr.net/meveric/pool/main/...-1_all.deb
https://oph.mdrjr.net/meveric/pool/main/..._arm64.deb
* install debtap from Arch User Repository
* run debtap to convert the .debs to arch packages
* run pamac install <package-name.tar.zst> to install the newly created arch packages.
* run rvgl_start to play!

It runs well.

Oh man this is great, I had lost hope, I did not know there was a package converter for .deb packages, works well enough it seems, thanks, Re-Volt is such a great game and also one of my childhood Big Grin
  Reply
So...

I've been tinkering to convert hedgewars and the necessary packages to install and run it on manjaro, but I'm stuck with the qt5-style-plguins package, however I try to convert it and whichever version I try to convert it seems that first of all it doesn't ouput the correct package name for the dependecy requirements to be satisfied, I tried editing the pkginfo file to make it work but it then it seems to fail to meet it's own package requirements... I think something's fishy here, either with debtap or with the qt5-plugins-style package itself, all the other required packages seem to work okay, only this one is a block for the install to be able to keep going...


Here is what I get with an unedited pkginfo file:
Code:
$ pamac install hedgewars-1.0.0-1-aarch64.pkg.tar.zst hedgewars-data-1.0.0-1-any.pkg.tar.zst fonts-dejavu-core-2.37-1-any.pkg.tar.zst fonts-wqy-zenhei-0.9.45-1-any.pkg.tar.zst libqt5core5a-5.15.1-1-aarch64.pkg.tar.zst qt5-style-plugins-git-23.g335dbec-1-aarch64.pkg.tar.zst
Preparing...
Error: Failed to prepare transaction:
could not satisfy dependencies:
- unable to satisfy dependency 'qt5-style-plugins' required by hedgewars
- unable to satisfy dependency 'qt5-styleplugins-git=23.g335dbec' required by qt5-style-plugins-git
Resolving dependencies...
Warning: cannot resolve "qt5-style-plugins", a dependency of "hedgewars"
Warning: cannot resolve "qt5-styleplugins-git=23.g335dbec", a dependency of "qt5-style-plugins-git"
Error: Failed to prepare transaction:
could not satisfy dependencies:
- unable to satisfy dependency 'qt5-style-plugins' required by hedgewars
- unable to satisfy dependency 'qt5-styleplugins-git=23.g335dbec' required by qt5-style-plugins-git

And here is what I get with an edited one...
Code:
$ pamac install hedgewars-1.0.0-1-aarch64.pkg.tar.zst hedgewars-data-1.0.0-1-any.pkg.tar.zst fonts-dejavu-core-2.37-1-any.pkg.tar.zst fonts-wqy-zenhei-0.9.45-1-any.pkg.tar.zst libqt5core5a-5.15.1-1-aarch64.pkg.tar.zst qt5-style-plugins-23.g335dbec-1-aarch64.pkg.tar.zst
Preparing...
Error: Failed to prepare transaction:
could not satisfy dependencies:
- unable to satisfy dependency 'qt5-styleplugins-git=23.g335dbec' required by qt5-style-plugins
- unable to satisfy dependency 'qt5-style-plugins' required by hedgewars
- unable to satisfy dependency 'qt5-styleplugins-git=23.g335dbec' required by qt5-style-plugins
Resolving dependencies...
Warning: cannot resolve "qt5-styleplugins-git=23.g335dbec", a dependency of "qt5-style-plugins"
Warning: cannot resolve "qt5-style-plugins", a dependency of "hedgewars"
Warning: cannot resolve "qt5-styleplugins-git=23.g335dbec", a dependency of "qt5-style-plugins"
Error: Failed to prepare transaction:
could not satisfy dependencies:
- unable to satisfy dependency 'qt5-styleplugins-git=23.g335dbec' required by qt5-style-plugins
- unable to satisfy dependency 'qt5-style-plugins' required by hedgewars
- unable to satisfy dependency 'qt5-styleplugins-git=23.g335dbec' required by qt5-style-plugins

So yeah this what I' stuck with, do you guys have any idea where I should look at Huh

I know this isn't exactly compiling a game but we're here to make them work anyways...
  Reply
Ok, screw converting packages, i made progress on building the game on manjaro as I found out installing free pascal compiler is really easy but now I'm getting this error during compilation:

Code:
$ sudo make install
Scanning dependencies of target physlayer
[  0%] Building C object misc/libphyslayer/CMakeFiles/physlayer.dir/physfscompat.c.o
[  0%] Building C object misc/libphyslayer/CMakeFiles/physlayer.dir/physfsrwops.c.o
In file included from /home/idaho/hg/hedgewars/trunk/misc/libphyslayer/physfsrwops.c:25:
/home/idaho/hg/hedgewars/trunk/misc/libphyslayer/physfsrwops.h:28:10: fatal error: SDL.h: No such file or directory
  28 | #include "SDL.h"
      |          ^~~~~~~
compilation terminated.
make[2]: *** [misc/libphyslayer/CMakeFiles/physlayer.dir/build.make:95: misc/libphyslayer/CMakeFiles/physlayer.dir/physfsrwops.c.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:3048: misc/libphyslayer/CMakeFiles/physlayer.dir/all] Error 2
make: *** [Makefile:182: all] Error 2

The compilation script seems to be looking for a file that isn't synched by the git repo... or that's what i understand of it at least... Sad If you guys have any ideas it'd be helpful...

Edit:
It seems the git version is just scrwed up, the compilation process goes further than this when I use the version from the mercurial repo but I still get a crash


Code:
uWorld.pas(2282) Error: Error while assembling exitcode 1
uWorld.pas(2282) Fatal: There were 2 errors compiling module, stopping
Fatal: Compilation aborted
Error: /usr/bin/ppca64 returned an error exitcode
make[2]: *** [hedgewars/CMakeFiles/hwengine.dir/build.make:149: hedgewars/CMakeFiles/hwengine.dir/hwengine.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:3076: hedgewars/CMakeFiles/hwengine.dir/all] Error 2
make: *** [Makefile:182: all] Error 2

Edit: had a talk with the guys over the hedgewars irc and it might be a compiler issue, I'll try again later with an older version of fpc...
  Reply
(12-10-2020, 05:16 PM)mfashby Wrote:
(05-08-2020, 02:13 AM)icecream95 Wrote:
(04-24-2020, 04:55 AM)Idaho Wrote:
(04-24-2020, 03:24 AM)astr0baby Wrote:
(04-24-2020, 01:48 AM)Idaho Wrote: Weird, I have both of them installed and I still get the error Sad Did you manage to run the game?
Yes, but it runs in a small window really ... not very usable on the 1920x1080 display

erh, too bad, no way to force a higher res? it's a shame this is closed source (probably just to avoid cheating online) would love to build this for the pbpro...

Does changing ScreenWidth and ScreenHeight in profiles/rvgl.ini not work?

Bit of a late reply, but I managed to get RVGL working great on my pinebook pro:
* Running manjaro-arm with sway window manager
* follow the instructions here for downloading the game using the python script https://re-volt.gitlab.io/rvgl-docs/os-s...l#gnulinux
* This downloads the game content, but the binaries are the  wrong CPU arch
* Download the *.deb packages provided by meveric for running on odroid
https://oph.mdrjr.net/meveric/pool/main/...-1_all.deb
https://oph.mdrjr.net/meveric/pool/main/..._arm64.deb
* install debtap from Arch User Repository
* run debtap to convert the .debs to arch packages
* run pamac install <package-name.tar.zst> to install the newly created arch packages.
* run rvgl_start to play!

It runs well.
This is fantastic, thank you so much.

On a different note, I've been fighting with getting openmw running on my manjaro install on and off for a while now.  I finally seemed to be making progress tonight with a pkgsrc install but for some reason I get this:

==> Installing binary package of icu-68.2
pkg_add: A different version of icu-68.2 is already installed: icu-67.1
pkg_add: 1 package addition failed
*** Error code 1

The only version of icu I have installed is icu-68.2-1, as far as I can tell?  Could it exist somewhere else in the pkgsrc ecosystem instead of referring to the actual version installed within manjaro?
  Reply
Duke32 and NBlood are running great! just need to tweak the in game settings a little and boom! Your saving babes from alien scum!

Thank you kindly astr0baby <3 Lotsa duke love your way
  Reply
Has anyone had any luck getting Celeste to run? Apparently some people got it working on the Raspberry Pi
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  Pinebook pro for sale [UA only] mikkra 1 421 06-17-2021, 09:52 AM
Last Post: moondance4n
  My Experience Using the Pinebook Pro as a Daily Driver warpnow 3 287 06-16-2021, 11:48 AM
Last Post: tkudog
  Pinebook Boot CharlesBunders 14 1,509 06-15-2021, 07:40 PM
Last Post: James Good
  MAC Spoofing failing in manjaro slow_motion 5 1,921 06-15-2021, 11:28 AM
Last Post: saturday31
  ANSI pinebook pro for sale (sold) andy046 7 491 06-10-2021, 07:55 AM
Last Post: andy046
  PineBook Pro kisangoli78 2 747 06-09-2021, 12:04 AM
Last Post: TfromTexas
  ISO keyboard Pinebook pro for sale tgrauss 2 257 06-08-2021, 12:05 AM
Last Post: tgrauss
  For Sale: Almost Brand New (slightly used) ANSI Pinebook Pro (photos attached) NeedleCone 0 182 06-04-2021, 10:12 AM
Last Post: NeedleCone
  new Pinebook Pro, complete confusion Yehuda 11 715 06-03-2021, 10:52 PM
Last Post: rimaille
  OBS on PineBook Pro dennisfaucher 1 193 06-03-2021, 08:00 AM
Last Post: dennisfaucher

Forum Jump:


Users browsing this thread: 2 Guest(s)